This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021199 - Review Request: aspell-fi - Finnish dictionaries for Aspell
Review Request: aspell-fi - Finnish dictionaries for Aspell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 06:22 EDT by Johan Swensson
Modified: 2013-11-10 01:44 EST (History)
2 users (show)

See Also:
Fixed In Version: aspell-fi-0.7-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:55:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Johan Swensson 2013-10-20 06:22:05 EDT
Spec URL: http://kupo.se/pub/review/aspell/aspell-fi.spec
SRPM URL: http://kupo.se/pub/review/aspell/aspell-fi-0.7-1.fc19.src.rpm
Description: Provides the word list/dictionaries for the following: Finnish
Fedora Account System Username: opuk
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6080641
Comment 1 Johan Swensson 2013-10-20 08:21:50 EDT
Spec URL: http://kupo.se/pub/review/aspell/aspell-fi.spec
SRPM URL: http://kupo.se/pub/review/aspell/aspell-fi-0.7-2.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6080809

%changelog
* Sun Oct 20 2013 Johan Swensson <kupo@kupo.se> - 0.7-2
- Remove irrelevant README file
Comment 2 Michael Schwendt 2013-10-23 06:51:41 EDT
Amazing that Aspell still has dependencies (repoquery --whatrequires aspell|grep -v ^aspell).

[...]

No older/retired package or stalled review request with the same name could be located.

No other package includes conflicting files:

# repoquery --whatprovides /usr/lib64/aspell-0.60/fi*
#

$ rpmls -p aspell-fi-0.7-2.fc21.x86_64.rpm 
-rw-r--r--  /usr/lib64/aspell-0.60/fi.dat
-rw-r--r--  /usr/lib64/aspell-0.60/fi.multi
-rw-r--r--  /usr/lib64/aspell-0.60/fi.rws
-rw-r--r--  /usr/lib64/aspell-0.60/fi_affix.dat
-rw-r--r--  /usr/lib64/aspell-0.60/finnish.alias
drwxr-xr-x  /usr/share/doc/aspell-fi
-rw-r--r--  /usr/share/doc/aspell-fi/COPYING
-rw-r--r--  /usr/share/doc/aspell-fi/Copyright


The packaging style (e.g. arch-specific, deps, -debuginfo disabled) matches the other aspell-* packages.


> URL: http://aspell.net

The author has created an own web page for this package:
http://ispell-fi.sourceforge.net

File doc/README says it's an ASCII-fied copy of that page. That file could be included. WDYT?



aspell-fi.x86_64: E: incorrect-fsf-address /usr/share/doc/aspell-fi/COPYING

 -> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

With the last release being from 2000-2004, probably not much will happen related to that.



> License: GPLv2

The README points at file "Copyright" for the "exact terms", and that one contains the "or (at your option) any later version" clause. That would be "GPLv2+". However:

Considering that the GPLv3 has been released later than 2004, and the web page doesn't contain the "or later version" clause, the file Copyright is likely just a cut'n'paste error. aspell-cs for example gets it right and has dropped the "later version" clause.

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

Not a big issue, just need to point that out in the review, since there are licensing clarification guidelines. A comment in the spec file above the License tag would be good.



> ./configure 

For clarify:

  # Custom configure script, %configure cannot and need not be used.
  ./configure



So, no issues that need another build for review. About the extra comments and the URL, that's up to you and may be touched before/after importing the package into dist git.

I'll contact you privately about packager account sponsorship.


APPROVED
Comment 3 Johan Swensson 2013-10-25 08:13:08 EDT
New Package SCM Request
=======================
Package Name: aspell-fi
Short Description: Finnish dictionaries for Aspell
Owners: opuk
Branches: f18 f19 f20
InitialCC:
Comment 4 Gwyn Ciesla 2013-10-25 08:37:09 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-10-25 15:06:35 EDT
aspell-fi-0.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/aspell-fi-0.7-2.fc18
Comment 6 Fedora Update System 2013-10-25 15:15:22 EDT
aspell-fi-0.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/aspell-fi-0.7-2.fc19
Comment 7 Fedora Update System 2013-10-25 15:31:16 EDT
aspell-fi-0.7-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/aspell-fi-0.7-2.fc20
Comment 8 Fedora Update System 2013-10-26 14:46:34 EDT
aspell-fi-0.7-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-11-04 21:55:14 EST
aspell-fi-0.7-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-11-04 21:56:38 EST
aspell-fi-0.7-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-11-10 01:44:16 EST
aspell-fi-0.7-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.